Loading...
Searching...
No Matches
mbedtls_ssl_ticket_key Struct Reference

Information for session ticket protection. More...

`#include <ssl_ticket.h>`

Collaboration diagram for mbedtls_ssl_ticket_key:
[legend]

## Data Fields

unsigned char | private_name [MBEDTLS_SSL_TICKET_KEY_NAME_BYTES]
mbedtls_time_t | private_generation_time
uint32_t | private_lifetime
mbedtls_cipher_context_t | private_ctx

## Detailed Description

Information for session ticket protection.

Definition at line 47 of file ssl_ticket.h.

## Field Documentation

## private_ctx

mbedtls_cipher_context_t mbedtls_ssl_ticket_key::private_ctx

context for auth enc/decryption

Definition at line 58 of file ssl_ticket.h.

## private_generation_time

mbedtls_time_t mbedtls_ssl_ticket_key::private_generation_time

key generation timestamp (seconds)

Definition at line 51 of file ssl_ticket.h.

## private_lifetime

uint32_t mbedtls_ssl_ticket_key::private_lifetime

Lifetime of the key in seconds. This is also the lifetime of the tickets created under that key.

Definition at line 56 of file ssl_ticket.h.

## private_name

unsigned char mbedtls_ssl_ticket_key::private_name[MBEDTLS_SSL_TICKET_KEY_NAME_BYTES]

random key identifier

Definition at line 48 of file ssl_ticket.h.

The documentation for this struct was generated from the following file:

- ssl_ticket.h